%define upstream_name    Dist-Zilla-Plugin-Bugtracker
%define upstream_version 1.111080

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    Automatically sets the bugtracker URL
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Dist::Zilla::Role::MetaProvider)
BuildRequires: perl(English)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.310.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Moose)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::MockObject)
BuildRequires: perl(Test::More) >= 0.940.0
BuildArch:  noarch

%description
This plugin sets the distribution's bugtracker URL as metadata.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.111.80-12.mga10
+ Revision: 2198297
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.111.80-11.mga9
+ Revision: 1803101
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.111.80-10.mga8
+ Revision: 1494112
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.111.80-9.mga7
+ Revision: 1267295
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.111.80-8.mga6
+ Revision: 1025830
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.111.80-7.mga6
+ Revision: 946378
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.111.80-6.mga5
+ Revision: 740892
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.111.80-5.mga5
+ Revision: 727599
- rebuild for missing pythoneggs deps
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.111.80-3.mga4
+ Revision: 510962
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.111.80-2.mga3
+ Revision: 366043
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Apr 19 2011 jquelin <jquelin> 1.111.80-1.mga1
+ Revision: 88501
- update to 1.111080

* Thu Feb 24 2011 jquelin <jquelin> 1.102.670-1.mga1
+ Revision: 58888
- update to 1.102670

* Wed Jan 26 2011 jquelin <jquelin> 1.101.490-1.mga1
+ Revision: 40362
- mageia rebuild
- imported package perl-Dist-Zilla-Plugin-Bugtracker

